Subject: bug#8277: Emacs should use socklen_t for socket lengths

From: Paul Eggert <[email-masked]>
Date: Sun, 20 Mar 2011 09:38:48 -0700

On 03/17/2011 09:40 PM, Paul Eggert wrote:

> I plan to install the following patch, which uses the gnulib
> socklen module to provide a definition of socklen_t
> on platforms that do not already define it, and then
> substitutes 'socklen_t' for the relevant occurrences of 'int' in
> src/process.c.  MS-DOS and MS-Windows ports may be affected by
> this, since it adds an "#undef socklen_t" to src/config.in.

Comments by Bruno Haible on the gnulib mailing list
<http://lists.gnu.org/archive/html/bug-gnulib/2011-03/msg00211.html>
showed the need for an update to that patch, for the
benefit of Cygwin and MingW ports.  I've attached it; it
consists entirely of autogenerated files from Emacs's point
of view.  This adds a symbol HAVE_WS2TCPIP_H to src/config.in,
which may need to be configured for MS-DOS and MS-Windows.
I haven't committed any of this socklen_t stuff to the trunk yet,
but plan to do so after a bit more testing.